Subject: Re: bug#7463: truncate

From: Pádraig Brady <[email-masked]>
Date: Mon, 22 Nov 2010 15:32:04 +0000

On 22/11/10 14:41, Rupert Bruce wrote:
> truncate (GNU coreutils) 7.4
> 
> Unexpected behavior:
> 
> $ ls -l
> total 0
> $ truncate --size 0 *.log
> $ ls
> *.log
> 
> I would expect "truncate --size 0 *.log" to truncate any files ending
> with ".log"; instead I get a new file called "*.log"
> 
> FYI, one of the first changes I make on a new installation is to alias
> truncate in .bashrc:
> alias ll='ls -l'
> alias la='ls -A'
> alias truncate='truncate --size 0'

That's a function of your shell.
Search for "nullglob"

cheers,
Pádraig.